﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_random_rectangles
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private Random Rand = new Random();
        private Bitmap Bm;
        private Graphics Gr;

        // Make a bitmap to display.
        private void Form1_Load(object sender, EventArgs e)
        {
            FormBorderStyle = FormBorderStyle.FixedDialog;
            MinimizeBox = false;
            MaximizeBox = false;
            DoubleBuffered = true;
            // Set at design time:
            //      StartPosition = FormStartPosition.CenterScreen;

            Bm = new Bitmap(ClientSize.Width, ClientSize.Height);
            Gr = Graphics.FromImage(Bm);
            BackgroundImage = Bm;
        }

        private void tmrMakeRectangle_Tick(object sender, EventArgs e)
        {
            int x = Rand.Next(ClientSize.Width - 10);
            int y = Rand.Next(ClientSize.Height - 10);
            int width = Rand.Next(ClientSize.Width - x);
            int height = Rand.Next(ClientSize.Height - y);
            Color color = Color.FromArgb(128,
                255 * Rand.Next(2),
                255 * Rand.Next(2),
                255 * Rand.Next(2));
            using (Brush brush = new SolidBrush(color))
            {
                Gr.FillRectangle(brush, x, y, width, height);
            }
            Refresh();
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape) Gr.Clear(BackColor);
        }
    }
}
